package cn.com.qmth.stmms.biz.mark.model;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import cn.com.qmth.stmms.biz.exam.model.ExamSubject;

public class Task implements Serializable {

    private static final long serialVersionUID = 4912665442008033200L;

    /**
     * 评卷任务编号
     */
    private Integer libraryId;

    /**
     * 考生编号
     */
    private Integer studentId;

    /**
     * 显示考生密号
     */
    private String secretNumber;

    /**
     * 考生名称
     */
    private String studentName;

    /**
     * 学号
     */
    private String studentCode;

    /**
     * 准考证号
     */
    private String examNumber;

    /**
     * 科目
     */
    private ExamSubject subject;

    /**
     * 裁切图地址
     */
    private List<String> sliceUrls;

    /**
     * 题卡图片拼接配置
     */
    private List<MarkConfigItem> sliceConfig;

    /**
     * 多媒体地址
     */
    private String jsonUrl;

    /**
     * 给分步骤
     */
    private List<MarkStepDTO> questionList;

    /**
     * 特殊标记列表
     */
    private SpecialTagDTO[] specialTagList;

    /**
     * 组长特殊标记列表
     */
    private SpecialTagDTO[] headerTagList;

    /**
     * 题卡原图地址
     */
    private List<String> sheetUrls;

    /**
     * 客观题总分
     */
    private Double objectiveScore;

    /**
     * 评分
     */
    private Double markerScore;

    /**
     * 评卷时间
     */
    private Date markerTime;

    /**
     * 是否自评
     */
    private boolean isSelf;

    /**
     * 是否回评
     */
    private boolean isPrevious;

    /**
     * 是否打回
     */
    private boolean isRejected;

    /**
     * 打回原因
     */
    private String rejectReason;

    /**
     * 打回上次分数
     */
    private String rejectScoreList;

    /**
     * 评卷员登录名
     */
    private String markerName;

    /**
     * 复核时间
     */
    private Date inspectTime;

    /**
     * 错误信息
     */
    private String message;

    public Integer getLibraryId() {
        return libraryId;
    }

    public void setLibraryId(Integer libraryId) {
        this.libraryId = libraryId;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public String getSecretNumber() {
        return secretNumber;
    }

    public void setSecretNumber(String secretNumber) {
        this.secretNumber = secretNumber;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public ExamSubject getSubject() {
        return subject;
    }

    public void setSubject(ExamSubject subject) {
        this.subject = subject;
    }

    public List<String> getSliceUrls() {
        return sliceUrls;
    }

    public void setSliceUrls(List<String> sliceUrls) {
        this.sliceUrls = sliceUrls;
    }

    public List<MarkConfigItem> getSliceConfig() {
        return sliceConfig;
    }

    public void setSliceConfig(List<MarkConfigItem> sliceConfig) {
        this.sliceConfig = sliceConfig;
    }

    public String getJsonUrl() {
        return jsonUrl;
    }

    public void setJsonUrl(String jsonUrl) {
        this.jsonUrl = jsonUrl;
    }

    public List<MarkStepDTO> getQuestionList() {
        return questionList;
    }

    public void setQuestionList(List<MarkStepDTO> questionList) {
        this.questionList = questionList;
    }

    public SpecialTagDTO[] getSpecialTagList() {
        return specialTagList;
    }

    public void setSpecialTagList(SpecialTagDTO[] specialTagList) {
        this.specialTagList = specialTagList;
    }

    public List<String> getSheetUrls() {
        return sheetUrls;
    }

    public void setSheetUrls(List<String> sheetUrls) {
        this.sheetUrls = sheetUrls;
    }

    public Double getObjectiveScore() {
        return objectiveScore;
    }

    public void setObjectiveScore(Double objectiveScore) {
        this.objectiveScore = objectiveScore;
    }

    public Double getMarkerScore() {
        return markerScore;
    }

    public void setMarkerScore(Double markerScore) {
        this.markerScore = markerScore;
    }

    public Date getMarkerTime() {
        return markerTime;
    }

    public void setMarkerTime(Date markerTime) {
        this.markerTime = markerTime;
    }

    public boolean isSelf() {
        return isSelf;
    }

    public void setSelf(boolean isSelf) {
        this.isSelf = isSelf;
    }

    public boolean isPrevious() {
        return isPrevious;
    }

    public void setPrevious(boolean isPrevious) {
        this.isPrevious = isPrevious;
    }

    public boolean isRejected() {
        return isRejected;
    }

    public void setRejected(boolean isRejected) {
        this.isRejected = isRejected;
    }

    public String getMarkerName() {
        return markerName;
    }

    public void setMarkerName(String markerName) {
        this.markerName = markerName;
    }

    public Date getInspectTime() {
        return inspectTime;
    }

    public void setInspectTime(Date inspectTime) {
        this.inspectTime = inspectTime;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getRejectReason() {
        return rejectReason;
    }

    public void setRejectReason(String rejectReason) {
        this.rejectReason = rejectReason;
    }

    public String getRejectScoreList() {
        return rejectScoreList;
    }

    public void setRejectScoreList(String rejectScoreList) {
        this.rejectScoreList = rejectScoreList;
    }

    public SpecialTagDTO[] getHeaderTagList() {
        return headerTagList;
    }

    public void setHeaderTagList(SpecialTagDTO[] headerTagList) {
        this.headerTagList = headerTagList;
    }

}
